<template>
<div class="my">
  <v-slide-group v-model="model" class="pa-4 " center-active show-arrows>
            <v-slide-item v-for="(datastests,index) in datastest" :key="index" v-slot :default="{ active, toggle }">
                <v-card class="ma-4" height="265" width="209"
                :elevation="5"
                 color="rgb(250, 245 ,245, 0.5)"
                 @click="goCourse(datastests.id)">
                  <v-img :src="test1+datastests.pic" height="200px" ></v-img>
                  <v-card-text class="text-center"> <h3>{{datastests.department_name}}</h3></v-card-text>
                </v-card>
           </v-slide-item>
      </v-slide-group>
      </div>
</template>

<script>
export default {
  data () {
    return {
      datastest: [],
      test1: process.env.VUE_APP_API
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async goCourse (val) {
      localStorage.setItem('departmentIndex', val)
      this.$store.dispatch('get_number_menu', val)
      // window.location = process.env.VUE_APP_WEB_CENTER + 'course'
      this.$router.push('/course')
      console.log('val=====>', val)
    },
    async getData () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/depart')
        console.log('aoy', response.data.data)
        this.datastest = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    }
  }

}
</script>
<style>
</style>
